QXmppArchiveMessage Class Reference

The QXmppArchiveMessage represents an archived message as defined by XEP-0136: Message Archiving. More...

`#include <QXmppArchiveIq.h>`

List of all members.

## Public Member Functions

QString | body () const
| Returns the archived message's body.
void | setBody (const QString &body)
QDateTime | date () const
| Returns the archived message's date.
void | setDate (const QDateTime &date)
bool | isReceived () const
| Returns true if the archived message was received, false if it was sent.
void | setReceived (bool isReceived)

## Detailed Description

The QXmppArchiveMessage represents an archived message as defined by XEP-0136: Message Archiving.

## Member Function Documentation

void QXmppArchiveMessage::setBody | ( | const QString & | body | ) |

Sets the archived message's body.

Parameters:

  body |

void QXmppArchiveMessage::setDate | ( | const QDateTime & | date | ) |

Sets the archived message's date.

Parameters:

  date |

void QXmppArchiveMessage::setReceived | ( | bool | isReceived | ) |

Set to true if the archived message was received, false if it was sent.

Parameters:

  isReceived |

The documentation for this class was generated from the following files:

- QXmppArchiveIq.h
- QXmppArchiveIq.cpp

All Classes Functions Enumerations Enumerator Properties